corda / net.corda.node.services.transactions / SimpleNotaryService

# SimpleNotaryService

`class SimpleNotaryService : NotaryService`

A simple Notary service that does not perform transaction validation

### Constructors

<init> | `SimpleNotaryService(services: ServiceHubInternal, timestampChecker: TimestampChecker, uniquenessProvider: UniquenessProvider)` A simple Notary service that does not perform transaction validation

### Properties

timestampChecker | `val timestampChecker: TimestampChecker`
uniquenessProvider | `val uniquenessProvider: UniquenessProvider`

### Functions

createFlow | `fun createFlow(otherParty: Party): Service` Implement a factory that specifies the transaction commit flow for the notary service to use

### Companion Object Properties

type | `val type: ServiceType`